# %http-proxy-addr(5)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

%http-proxy-addr - Set HTTP proxy server address
%http-proxy-port - Set HTTP proxy server port

## SYNOPSIS

%http-proxy-addr "proxy-addr"
%http-proxy-port "port-number"; Default is `80`

## DESCRIPTION

If the %http-proxy-addr variable is set all HTTP file loading requests, using commands like find-file(2), are sent via the given proxy server. %http-proxy-port should be set to the proxy servers port number, defaulting to `80` if not set. These variables are typically set in your `<user>.emf` setup file, e.g.:

    set-variable %http-proxy-addr "proxy.foobar.com"
    set-variable %http-proxy-port "8080"

## NOTES

Note that http is available on UNIX by default, but must be compiled in for win32 versions.

## SEE ALSO

%http-flags(5), find-file(2), ftp(3).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>